Skip to main content
GET
/
tokenization
/
contracts
TypeScript
const response: Promise<FireblocksResponse<DeployedContractsPaginatedResponse>> = fireblocks.deployedContracts.getDeployedContracts(deployedContractsApiGetDeployedContractsRequest);
{
  "data": [
    {
      "id": "b70701f4-d7b1-4795-a8ee-b09cdb5b850d",
      "contractAddress": "0xC2c4e1Db41F0bB97996D0eD0542D2170d146FB66",
      "contractTemplateId": "b70701f4-d7b1-4795-a8ee-b09cdb5b850d",
      "blockchainId": "<string>"
    }
  ],
  "next": "eJ0eXAiOiJKV1QiLCJhbGcOiJIUzI1NiJ9"
}

Query Parameters

pageCursor
string

Page cursor to get the next page

pageSize
number

Number of items per page, requesting more then max will return max items

Required range: 1 <= x <= 100
contractAddress
string

The contract's onchain address

baseAssetId
string
contractTemplateId
string

Response

Deployed contracts fetched successfully

data
object[]
required

The data of the current page

next
string | null

The ID of the next page

Example:

"eJ0eXAiOiJKV1QiLCJhbGcOiJIUzI1NiJ9"